> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Newer Versions

> Checks if newer versions are available for the specified web tools. Can also detect conflicts with user overrides.



## OpenAPI

````yaml /api-reference/openapi.json post /v2/voice-agents/web-tool/version-check
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v2/voice-agents/web-tool/version-check:
    post:
      summary: Check Newer Versions for Web Tools
      description: >-
        Checks if newer versions are available for the specified web tools. Can
        also detect conflicts with user overrides.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VersionCheckRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VersionCheckResponse'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Server Side Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    VersionCheckRequest:
      type: object
      required:
        - webToolIds
        - projectId
      properties:
        webToolIds:
          type: array
          description: Array of web tool IDs to check for newer versions
          items:
            type: string
            format: uuid
          example:
            - 48f7656f-098b-4c43-b165-7cfd2cc8ac30
            - 59g8767g-109c-5d54-c276-8dgd3dd9bd41
        overrides:
          type: object
          description: Optional overrides to check for conflicts. Keys are web tool IDs.
          additionalProperties:
            $ref: '#/components/schemas/ToolOverrides'
          example:
            48f7656f-098b-4c43-b165-7cfd2cc8ac30:
              params:
                location: New York
              httpHeaders:
                X-Custom-Header: value
    VersionCheckResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: array
          items:
            $ref: '#/components/schemas/VersionCheckItem'
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
    ToolOverrides:
      type: object
      description: Override values for a web tool
      properties:
        params:
          type: object
          description: Parameter overrides
          additionalProperties:
            type: string
        httpHeaders:
          type: object
          description: HTTP header overrides
          additionalProperties:
            type: string
    VersionCheckItem:
      type: object
      properties:
        toolId:
          type: string
          format: uuid
          description: The ID of the web tool that was checked
          example: 48f7656f-098b-4c43-b165-7cfd2cc8ac30
        hasNewerVersions:
          type: boolean
          description: Whether a newer version is available
          example: true
        latestVersion:
          type: integer
          nullable: true
          description: The latest version number if available
          example: 3
        latestVersionToolId:
          type: string
          format: uuid
          nullable: true
          description: The ID of the latest version of the tool
          example: 59g8767g-109c-5d54-c276-8dgd3dd9bd41
        conflicts:
          type: object
          nullable: true
          description: Conflicts detected with user overrides (if overrides were provided)
          properties:
            params:
              type: array
              items:
                type: string
              description: Parameter names that conflict
            httpHeaders:
              type: array
              items:
                type: string
              description: HTTP header names that conflict
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````